edu.sc.seis.sod.status

## Class MenuTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.MenuTemplate

- All Implemented Interfaces:
    GenericTemplate

      public class MenuTemplate
      extends Template
      implements GenericTemplate

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `MenuTemplate.RelativePath`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TEMPLATE_LOC`

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuTemplate(org.w3c.dom.Element el, java.lang.String pathFrom, java.lang.String fileDir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResult()`
    `java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `protected java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMPLATE_LOC

          public static final java.lang.String TEMPLATE_LOC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MenuTemplate

          public MenuTemplate(org.w3c.dom.Element el,
                              java.lang.String pathFrom,
                              java.lang.String fileDir)
                       throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getTemplate

          public java.lang.Object getTemplate(java.lang.String tag,
                                              org.w3c.dom.Element el)

      Description copied from class: `Template`
      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it should return the superclass implementation of the getCommonTemplate method. Though no harm will come from merely returning null, they won't benefit from the wisdom and extra tags provided by their elder classes.
      Overrides:
        `getTemplate` in class `Template`

    - #### textTemplate

          protected java.lang.Object textTemplate(java.lang.String text)

      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### getResult

          public java.lang.String getResult()

      Specified by:
        `getResult` in interface `GenericTemplate`